start

# pocount

pocount will count the number of strings and words in a PO file.

## Usage

    pocount [--csv] [directory|file(s)]

Where:

<blank> | will recurse through all files from the current directory
directory | will recurse and count all files in the specified directory
file(s) | will count all files specified

Options:

--csv | changes the output format to CSV (Comma Seperated Values) for import into a spreadsheet

## Output

In normal mode the following output is given:

    avmedia/source/viewer.po
    type           strings words (source) words (translation)
    translated:       1          3               3
    fuzzy:            0          0             n/a
    untranslated:     4         22             n/a
    Total:            5         25               3
    review            1          3             n/a

In CSV mode the following outut is shown:

    Filename, Translated Messages, Translated Source Words, Translated Target Words, Fuzzy Messages, Fuzzy Source Words, Untranslated Messages, Untranslated Source Words, Review Messages, Review Source Words
    avmedia/source/viewer.po,  1, 3, 3, 0, 0, 4, 22, 1, 3

Totals are not provided in CSV mode. In normal mode a grand total and file count is provided if the number of files is greater than one.

## Bugs

- There are some miscounts related to word breaks.